Index: arch/m68knommu/kernel/setup.c
===================================================================
RCS file: /var/cvs/uClinux-2.4.x/arch/m68knommu/kernel/setup.c,v
retrieving revision 1.17
diff -a -u -r1.17 setup.c
--- arch/m68knommu/kernel/setup.c	2003/07/23 00:37:43	1.17
+++ arch/m68knommu/kernel/setup.c	2003/08/22 18:53:52
@@ -40,13 +40,6 @@
 #include <asm/pgtable.h>
 #endif
 
-#ifdef CONFIG_CONSOLE
-extern struct consw *conswitchp;
-#ifdef CONFIG_FRAMEBUFFER
-extern struct consw fb_con;
-#endif
-#endif
-
 #if defined (CONFIG_M68360)
 #include<asm/m68360.h>  //Get the definition of QUICC type
 extern void m360_cpm_reset(void);
@@ -303,9 +296,9 @@
 #endif
 	/*rom_length = (unsigned long)&_flashend - (unsigned long)&_romvec;*/
 	
-#ifdef CONFIG_CONSOLE
-#ifdef CONFIG_FRAMEBUFFER
-	conswitchp = &fb_con;
+#ifdef CONFIG_VT_CONSOLE
+#ifdef CONFIG_FB
+	conswitchp = &dummy_con;
 #else
 	conswitchp = 0;
 #endif
Index: drivers/video/dummycon.c
===================================================================
RCS file: /var/cvs/uClinux-2.4.x/drivers/video/dummycon.c,v
retrieving revision 1.1.1.1
diff -a -u -r1.1.1.1 dummycon.c
--- drivers/video/dummycon.c	2000/12/05 20:29:39	1.1.1.1
+++ drivers/video/dummycon.c	2003/08/22 18:54:16
@@ -35,7 +35,16 @@
 
 static void dummycon_init(struct vc_data *conp, int init)
 {
+#if defined(CONFIG_FBCON_MFB)
+	/* Switching between a color dummy console and a real
+	 * b&w console displays horizontal lines along the linux logo,
+	 * this is not the right way to fix it but I can't find
+	 * something better for now...
+	 */
+    conp->vc_can_do_color = 0;
+#else
     conp->vc_can_do_color = 1;
+#endif
     if (init) {
 	conp->vc_cols = DUMMY_COLUMNS;
 	conp->vc_rows = DUMMY_ROWS;
Index: drivers/video/fbmem.c
===================================================================
RCS file: /var/cvs/uClinux-2.4.x/drivers/video/fbmem.c,v
retrieving revision 1.13
diff -a -u -r1.13 fbmem.c
--- drivers/video/fbmem.c	2003/06/17 08:24:18	1.13
+++ drivers/video/fbmem.c	2003/08/22 18:54:21
@@ -831,7 +831,7 @@
 
 	if (first) {
 		first = 0;
-#ifdef CONFIG_CONSOLE
+#ifdef CONFIG_VT_CONSOLE
 		take_over_console(&fb_con, first_fb_vc, last_fb_vc, fbcon_is_default);
 #endif
 	}
Index: drivers/video/mc68x328fb.c
===================================================================
RCS file: /var/cvs/uClinux-2.4.x/drivers/video/mc68x328fb.c,v
retrieving revision 1.1
diff -a -u -r1.1 mc68x328fb.c
--- drivers/video/mc68x328fb.c	2003/03/27 00:18:52	1.1
+++ drivers/video/mc68x328fb.c	2003/08/22 18:54:22
@@ -490,7 +490,7 @@
     fix->type_aux = 0;
     switch (var->bits_per_pixel) {
 	case 1:
-	    fix->visual = FB_VISUAL_MONO01;
+	    fix->visual = FB_VISUAL_MONO10;
 	    break;
 	case 2:
 	case 4:
